For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applicants
        • GETGet an applicant by ID
        • GETGet rentable items for an applicant
        • POSTCreate Applicant: ResMan
        • PUTUpdate Applicant: ResMan
        • POSTCreate Applicant Files: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManApplicants

Get an applicant by ID

GET
/v1/applicants/:id
GET
/v1/applicants/:id
$curl https://api.propexo.com/v1/applicants/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "applicant-987654321",
17 "x_property_id": "property-123456789",
18 "x_lead_id": "lead-321654987",
19 "x_unit_id_preferred": [
20 "unit-pref-abc-123-def-456"
21 ],
22 "address_1_alternate": null,
23 "address_1": null,
24 "address_2_alternate": null,
25 "address_2": null,
26 "applications": [
27 {
28 "applicant_id": "applicant-987654321",
29 "application_id": "application-123456789",
30 "status_raw": "Approved by leasing",
31 "status_normalized": "APPROVED",
32 "custom_data": {},
33 "status": "approved"
34 }
35 ],
36 "city_alternate": null,
37 "city": null,
38 "country_alternate": null,
39 "country": null,
40 "custom_data": {},
41 "date_of_birth": null,
42 "email_1": "sally.jones@example.com",
43 "email_2": null,
44 "first_name": "Sally",
45 "last_name": "Jones",
46 "middle_name": null,
47 "notes": null,
48 "phone_1_type": "MOBILE",
49 "phone_1": "(123) 555-1234",
50 "phone_2_type": "FAX",
51 "phone_2": "(123) 555-5678",
52 "state_alternate": null,
53 "state": null,
54 "type_normalized": null,
55 "type_raw": null,
56 "zip_alternate": null,
57 "zip": null,
58 "pets": [
59 {
60 "id": "clwktsp9v000008l31iv218hn",
61 "created_at": "2024-03-21T15:38:08.337Z",
62 "updated_at": "2024-03-22T10:59:45.119Z",
63 "last_seen": "2024-03-22T10:59:45.119Z",
64 "x_id": "e651bf4e-7c63-42a4-a181-2fd08d8a3751",
65 "age_in_years": 2,
66 "breed": "Poodle",
67 "color": "White",
68 "gender_raw": null,
69 "is_declawed": null,
70 "is_fixed": null,
71 "is_service_animal": null,
72 "is_trained": null,
73 "is_vaccinated": null,
74 "name": "Buddy",
75 "notes": "Large dog and growing. House trained.",
76 "type": "Cat/Dog",
77 "weight_in_pounds": 40,
78 "custom_data": {}
79 }
80 ],
81 "integration_id": "clwh5u07w000508me66sfh3um",
82 "integration_vendor": "RESMAN",
83 "property_id": "clwi5xiix000008l6ctdgafyh",
84 "unit_id_preferred": [
85 "cm20oe3sw87101871971bl8bymi60v3o"
86 ],
87 "screenings": [
88 {
89 "id": "clwktsp9v000008l31iv218hn",
90 "created_at": "2024-03-21T15:38:08.337Z",
91 "last_seen": "2024-03-22T10:59:45.119Z",
92 "x_id": "screening-123456789",
93 "status_raw": "Clear",
94 "screening_date": "2024-03-20T12:00:00Z"
95 }
96 ],
97 "x_unit_id": "unit-456789123",
98 "x_lease_id": null,
99 "self_reported_income": [
100 {
101 "amount_in_cents": 325000,
102 "amount_raw": "$3,250.00",
103 "type_normalized": null,
104 "type_raw": null
105 }
106 ]
107 }
108}
Get an applicant by ID
Was this page helpful?
Previous

Get rentable items for an applicant

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error